#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 16 March 2004                                                       *
#                                                                            *
#*****************************************************************************

.suffixes : .cpp

.cpp.obj :
	cxx $(CXXFLAGS) $(MMS$TARGET_NAME).cpp

CXXFLAGS=/name=(as_is,short)/include=[-.include]

OBJS =				\
	FTBitmapGlyph.obj,\
	FTCharmap.obj,	\
	FTContour.obj,	\
	FTExtrdGlyph.obj,\
	FTFace.obj,	\
	FTFont.obj,	\
	FTGLBitmapFont.obj,\
	FTGLExtrdFont.obj,\
	FTGLOutlineFont.obj,\
	FTGLPixmapFont.obj,\
	FTGLPolygonFont.obj,\
	FTGLTextureFont.obj,\
	FTGlyph.obj,	\
	FTGlyphContainer.obj,\
	FTLibrary.obj,	\
	FTOutlineGlyph.obj,\
	FTPixmapGlyph.obj,\
	FTPoint.obj,	\
	FTPolyGlyph.obj,	\
	FTSize.obj,	\
	FTTextureGlyph.obj,\
	FTVectoriser.obj

HEADERS =			\
	[-.include]FTBBox.h		\
	[-.include]FTBitmapGlyph.h		\
	[-.include]FTCharToGlyphIndexMap.h	\
	[-.include]FTCharmap.h		\
	[-.include]FTContour.h		\
	[-.include]FTExtrdGlyph.h		\
	[-.include]FTFace.h		\
	[-.include]FTFont.h		\
	[-.include]FTGL.h			\
	[-.include]FTGLBitmapFont.h	\
	[-.include]FTGLExtrdFont.h		\
	[-.include]FTGLOutlineFont.h	\
	[-.include]FTGLPixmapFont.h	\
	[-.include]FTGLPolygonFont.h	\
	[-.include]FTGLTextureFont.h	\
	[-.include]FTGlyph.h		\
	[-.include]FTGlyphContainer.h	\
	[-.include]FTLibrary.h		\
	[-.include]FTList.h		\
	[-.include]FTOutlineGlyph.h	\
	[-.include]FTPixmapGlyph.h		\
	[-.include]FTPoint.h		\
	[-.include]FTPolyGlyph.h		\
	[-.include]FTSize.h		\
	[-.include]FTTextureGlyph.h	\
	[-.include]FTVector.h		\
	[-.include]FTVectoriser.h

all : libftgl.olb
	@ write sys$output "libftgl.olb created"

libftgl.olb : $(OBJS)
	library/create libftgl.olb $(OBJS)

FTBitmapGlyph.obj : FTBitmapGlyph.cpp $(HEADERS)
FTCharmap.obj : FTCharmap.cpp $(HEADERS)
FTContour.obj : FTContour.cpp $(HEADERS)
FTExtrdGlyph.obj : FTExtrdGlyph.cpp $(HEADERS)
FTFace.obj : FTFace.cpp $(HEADERS)
FTFont.obj : FTFont.cpp $(HEADERS)
FTGLBitmapFont.obj : FTGLBitmapFont.cpp $(HEADERS)
FTGLExtrdFont.obj : FTGLExtrdFont.cpp $(HEADERS)
FTGLOutlineFont.obj : FTGLOutlineFont.cpp $(HEADERS)
FTGLPixmapFont.obj : FTGLPixmapFont.cpp $(HEADERS)
FTGLPolygonFont.obj : FTGLPolygonFont.cpp $(HEADERS)
FTGLTextureFont.obj : FTGLTextureFont.cpp $(HEADERS)
FTGlyph.obj : FTGlyph.cpp $(HEADERS)
FTGlyphContainer.obj : FTGlyphContainer.cpp $(HEADERS)
FTLibrary.obj : FTLibrary.cpp $(HEADERS)
FTOutlineGlyph.obj : FTOutlineGlyph.cpp $(HEADERS)
FTPixmapGlyph.obj : FTPixmapGlyph.cpp $(HEADERS)
FTPoint.obj : FTPoint.cpp $(HEADERS)
FTPolyGlyph.obj : FTPolyGlyph.cpp $(HEADERS)
FTSize.obj : FTSize.cpp $(HEADERS)
FTTextureGlyph.obj : FTTextureGlyph.cpp $(HEADERS)
FTVectoriser.obj : FTVectoriser.cpp $(HEADERS)
